#!/bin/sh

# Script to create a lean source directory of the miktex-tools from a 
# source TAR-ball.

# Created by Paul Gevers 9-7-2008

PATCHED=1 #"TRUE"
#PATCHED=0 #"FALSE"
VERSION="2.7.3107"
PACKAGENAME="miktex-tools"
DEBIANDIR="${PACKAGENAME}-${VERSION}"
PACKAGE="miktex"
ORGDIR="${PACKAGE}-${VERSION}"
FILES="changelog compat control copyright exclude.list libmiktex207.install md5walk.1 \
       miktex-tools.doc-base miktex01-libraries.diff miktex02-documentation.diff \
       miktex-tools.docs miktex-tools.install miktex-tools.manpages miktex-tools.postinst \
       miktex-tools.prerm mpc.1 README.Debian README.source rules watch"

if [ -d ${DEBIANDIR} ] ; then
    echo rm -r ${DEBIANDIR}
    rm -r ${DEBIANDIR}
fi

if [ -d ${ORGDIR} ] ; then
    echo rm -r ${ORGDIR}
    rm -r ${ORGDIR}
fi

if [ -f ${ORGDIR}.tar.bz2 ] ; then
    echo extracting ${ORGDIR}.tar.bz2
    tar --extract --bzip2 --exclude-from=exclude.list --file ${ORGDIR}.tar.bz2 
#    tar --extract --bzip2 --file ${ORGDIR}.tar.bz2 
fi

mv ${ORGDIR} ${DEBIANDIR}

if [ ${PATCHED} -eq 1 ]  ; then
echo mkdir ${DEBIANDIR}/debian
mkdir ${DEBIANDIR}/debian
for FILE in $FILES ; do
    ln debian/$FILE ${DEBIANDIR}/debian/
done

# echo Patching the new directory
# 
# rm ${DEBIANDIR}/CMakeLists.txt
# ln debian/${DEBIANDIR}_CMakeLists.txt ${DEBIANDIR}/CMakeLists.txt
# 
# rm ${DEBIANDIR}/cmake/modules/LibraryNames.cmake
# ln debian/${DEBIANDIR}_cmake_modules_LibraryNames.cmake ${DEBIANDIR}/cmake/modules/LibraryNames.cmake
# 
# rm ${DEBIANDIR}/Programs/MiKTeX/mthelp/CMakeLists.txt
# ln debian/${DEBIANDIR}_Programs_MiKTeX_mthelp_CMakeLists.txt ${DEBIANDIR}/Programs/MiKTeX/mthelp/CMakeLists.txt
# 
rm ${DEBIANDIR}/Documentation/Styles/manpages.xsl
ln debian/${DEBIANDIR}_Documentation_Styles_manpages.xsl ${DEBIANDIR}/Documentation/Styles/manpages.xsl

rm ${DEBIANDIR}/Documentation/miktex.xml
ln debian/${DEBIANDIR}_Documentation_miktex.xml ${DEBIANDIR}/Documentation/miktex.xml 

rm ${DEBIANDIR}/Documentation/packaging.xml
ln debian/${DEBIANDIR}_Documentation_packaging.xml ${DEBIANDIR}/Documentation/packaging.xml 

# rm ${DEBIANDIR}/Libraries/MiKTeX/PackageManager/CMakeLists.txt
# ln debian/${DEBIANDIR}_Libraries_MiKTeX_PackageManager_CMakeLists.txt ${DEBIANDIR}/Libraries/MiKTeX/PackageManager/CMakeLists.txt

fi